| OpenZWave Library 1.6.0

Classes | Public Member Functions | Friends | List of all members
OpenZWave::Bitfield Class Reference

`#include <Bitfield.h>`

## Classes
class | Iterator

## Public Member Functions
| Bitfield ()
| Bitfield (uint32 value)
| ~Bitfield ()
bool | Set (uint8 _idx)
bool | Clear (uint8 _idx)
bool | IsSet (uint8 _idx) const
uint32 | GetNumSetBits () const
uint32 | GetValue () const
bool | SetValue (uint32 val)
uint32 | GetSize () const
Iterator | Begin () const
Iterator | End () const

## Friends
class | Iterator

## Constructor & Destructor Documentation

## ◆ Bitfield() [1/2]

Bitfield::Bitfield | ( |  | ) |

## ◆ Bitfield() [2/2]

Bitfield::Bitfield | ( | uint32 | value | ) |

## ◆ ~Bitfield()

Bitfield::~Bitfield | ( |  | ) |

## Member Function Documentation

## ◆ Begin()

Bitfield::Iterator Bitfield::Begin | ( |  | ) | const

## ◆ Clear()

bool Bitfield::Clear | ( | uint8 | _idx | ) |

## ◆ End()

Bitfield::Iterator Bitfield::End | ( |  | ) | const

## ◆ GetNumSetBits()

uint32 Bitfield::GetNumSetBits | ( |  | ) | const

## ◆ GetSize()

uint32 Bitfield::GetSize | ( |  | ) | const

## ◆ GetValue()

uint32 Bitfield::GetValue | ( |  | ) | const

## ◆ IsSet()

bool Bitfield::IsSet | ( | uint8 | _idx | ) | const

## ◆ Set()

bool Bitfield::Set | ( | uint8 | _idx | ) |

## ◆ SetValue()

bool Bitfield::SetValue | ( | uint32 | val | ) |

## Friends And Related Function Documentation

## ◆ Iterator

friend class Iterator
| friend

The documentation for this class was generated from the following files:

- Bitfield.h
- Bitfield.cpp